Actualizar la versión de Laravel 5.7 a 5.8

Publicado por parzibyte en

Cambiar archivo de composer para actualizar Laravel

Hace algunos días salió la versión 5.8 de Laravel. Si bien no trae muchísimas características que cambien el núcleo del framework, siempre es importante tener la última versión instalada.

Por ello es que hoy veremos cómo cambiar de Laravel 5.7 a Laravel 5.8

Laravel 5.7

Recuerda que ya vimos cómo instalar Laravel 5.7, puedes pasarte por ese post si quieres.

Composer

Para actualizar simplemente tienes que abrir el archivo de composer.json, buscar las dependencias y cambiar la de laravel de 5.7.* a 5.8.* como se ve en la imagen:

Cambiar archivo de composer para actualizar Laravel

Cambiar archivo de composer para actualizar Laravel

Luego de eso abre la terminal y ejecuta composer update así:

Actualizando laravel a última versión

Actualizando laravel a última versión

Eso actualizará todas las dependencias de Laravel y al mismo framework.

Siguientes pasos

Prueba tu aplicación, y si usas paquetes de terceros asegúrate de usar la versión que sea compatible con la 5.8.

También te recomiendo ver la guía de migración en el sitio oficial.


parzibyte

He trabajado por más de 4 años en el desarrollo de software con experiencia en Java, PHP, JavaScript, HTML, Node.JS, Python, Android y Go. También he trabajado con bases de datos SQL como MySQL y SQLite, así como con bases de datos NoSQL usando MongoDB.Soy bueno utilizando algunos frameworks y herramientas como Firebase, jQuery, AngularJS, VueJS, CodeIgniter, Laravel, BulmaCSS, Bootstrap y Electron.Otros términos que conozco son: Arduino, GraphQL, API's, REST, AJAX, PouchDB, CouchDB, Experiencia de usuario, buenas prácticas de programación, Webpack, NPM, Administración de servidores y programación de scriptsLa plataforma en la que tengo más experiencia es la web, pero en mis ratos libres realizo unos pequeños ejercicios en C# y C.Estoy aquí para ayudarte a resolver tus problemas de programación y depuración :-)

2 Comments

Tutorial de vistas con Blade en Laravel - Parzibyte's blog · marzo 1, 2019 a las 11:13 am

[…] Actualizar Laravel a versión 5.8 […]

Desactivar registro de usuarios en Laravel - Parzibyte's blog · marzo 12, 2019 a las 5:31 pm

[…] partir de la versión de Laravel 5.7 (al momento de escribir esto ya existe la versión 5.8) se puede deshabilitar (fácilmente) o desactivar el registro de usuarios para la […]

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

A %d blogueros les gusta esto: